# $Id: naat-frontend-www.spec,v 1.17 2002/03/15 17:08:03 philippe Exp $
%define name naat-frontend-www
%define version 0.8
%define release 10mdk

%define admroot /var
%define apacheadmroot %{admroot}/www-naat
%define adminroot secure
%define sessions sessions

Summary: The pages of the front-end in the NAAT project
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Url:		http://www.mandrakesecure.net
Group: System/Configuration/Other
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}
BuildArchitectures: noarch
Prefix: %{_prefix}
BuildRequires: libxml
BuildRequires: libxml-devel
#BuildRequires: xalan-c
#BuildRequires: xerces-c
BuildRequires: libxslt1-devel
BuildRequires: libxslt-proc
BuildRequires: gcc
BuildRequires: make
PreReq: naat-backend
# nope: we want /var/www-naat/html/admin to be a link
# naat-monitoring would create a real dir instead
#PreReq: naat-monitoring
PreReq: httpd-naat
#PreReq: mandrake_doc_security-en
#Requires: curl
#Requires: squid
#Requires: squidGuard
##Requires: bind
#Requires: dhcp-server
#Requires: ipvsadm
#Requires: iptoip
#Requires: diald

%description
A set of configuration pages for the
Network Appliance Administration Tool on Mandrake Linux Server.
This project use xalan-c and Xerces-c for pre-processing pages

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
mkdir -p ${RPM_BUILD_DIR}/%{name}-devel/
tar -jxf ${RPM_SOURCE_DIR}/%{name}-%{version}.tar.bz2 -C ${RPM_BUILD_DIR}/%{name}-devel/


%build
make post-trad
make 
for i in fr de; do
make MODULES="modules-${i}" DEST="naat-${i}" ONLINE_HELP="help-${i}"
done

%install
# clean file list
rm -rf file.list.{en,fr,de}
make DESTDIR=${RPM_BUILD_ROOT} HTTPD_DEST=${RPM_BUILD_ROOT}/var/www-naat/html/en install_all

#install -m600 SOURCES/dot-htaccess $RPM_BUILD_ROOT/%{apacheadmroot}/html/en/%{adminroot}/.htaccess

find ${RPM_BUILD_ROOT} -type d | sed -e "s!${RPM_BUILD_ROOT}!%attr(750,httpd-naat,admin) %dir !" | grep "/var/www-naat/html/en" >> file.list.en
find ${RPM_BUILD_ROOT} -type f | sed -e "s!${RPM_BUILD_ROOT}!!" | grep "/var/www-naat/html/en" >> file.list.en
perl -pi -e 's!(.*php$)!%attr(400,httpd-naat,admin) $1!' file.list.en
perl -pi -e 's!(.*wvm$)!%attr(400,httpd-naat,admin) $1!' file.list.en

for i in fr de; do
	make MODULES="modules-${i}" DEST="naat-${i}" ONLINE_HELP="help-${i}" DESTDIR=${RPM_BUILD_ROOT} HTTPD_DEST=${RPM_BUILD_ROOT}/var/www-naat/html/${i} install_all
#	install -m600 SOURCES/dot-htaccess $RPM_BUILD_ROOT/%{apacheadmroot}/html/${i}/%{adminroot}/.htaccess
 find ${RPM_BUILD_ROOT} -type d | sed -e "s!${RPM_BUILD_ROOT}!%attr(750,httpd-naat,admin) %dir !" | grep "/var/www-naat/html/${i}" >> file.list.${i}
	find ${RPM_BUILD_ROOT} -type f | sed -e "s!${RPM_BUILD_ROOT}!!" | grep "/var/www-naat/html/${i}" >> file.list.${i}
	perl -pi -e 's!(.*php$)!%attr(400,httpd-naat,admin) $1!' file.list.${i}
	perl -pi -e 's!(.*wvm$)!%attr(400,httpd-naat,admin) $1!' file.list.${i}
done

mkdir -p $RPM_BUILD_ROOT%{_prefix}/src/{name}-devel
cp -dpR ${RPM_BUILD_DIR}/%{name}-devel/* $RPM_BUILD_ROOT%{_prefix}/src/%{name}-devel/

%clean
rm -rf $RPM_BUILD_ROOT

%package en
Summary: The pages of the front-end in the NAAT project
Group: System/Configuration/Other
PreReq: naat-backend
#PreReq: naat-monitoring
PreReq: httpd-naat
#PreReq: mandrake_doc_security-en
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: dhcp-server
#Requires: ipvsadm
#Requires: iptoip
#Requires: diald
Requires: locales-en
Provides: naat-frontend-www

%package fr
Summary: Les pages web du projet NAAT
Group: System/Configuration/Other
PreReq: naat-backend
#PreReq: naat-monitoring
PreReq: httpd-naat
#PreReq: mandrake_doc_security-fr
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: dhcp-server
#Requires: ipvsadm
#Requires: iptoip
#Requires: diald
Requires: locales-fr
Provides: naat-frontend-www

%package de
Summary: The pages of the front-end in the NAAT project
Group: System/Configuration/Other
PreReq: naat-backend
#PreReq: naat-monitoring
PreReq: httpd-naat
#PreReq: mandrake_doc_security-de
#Requires: curl
#Requires: squid
#Requires: squidGuard
#Requires: dhcp-server
#Requires: ipvsadm
#Requires: iptoip
#Requires: diald
Requires: locales-de
Provides: naat-frontend-www

%package doc
Summary: The pages of the front-end in the NAAT project
Group: System/Configuration/Other

%package devel
Summary: Development package of the front-end in NAAT project
Group: Development/Other
Requires: libxml
Requires: libxml-devel
Requires: libxslt1-devel
Requires: libxslt-proc
Requires: gcc
Requires: make


%description en
A set of configuration pages for the
Network Appliance Administration Tool on Mandrake Linux Server.
This project use xalan-c and Xerces-c for pre-processing pages

%description fr
Un ensemble de page de configuration pour l'outil
Network Appliance Administration Tool sur les serveurs Mandrake Linux.
Ce projet utilise xalan-c et Xerces-c pour le pre-processing des 
pages.

%description de
A set of configuration pages for the
Network Appliance Administration Tool on Mandrake Linux Server.
This project use xalan-c and Xerces-c for pre-processing pages

%description doc
A set of configuration pages for the
Network Appliance Administration Tool on Mandrake Linux Server.
This project use xalan-c and Xerces-c for pre-processing pages

%description devel
A set of development tools of the 
Network Appliance Administration Tool on Mandrake Linux Server.
This project use xslt-proc for pre-processing pages

%post fr
# documentation
if [ ! -e /var/www-naat/html/fr/%{adminroot}/doc ]; then
	ln -fs /usr/share/doc/mandrake/en /var/www-naat/html/fr/%{adminroot}/doc
fi

if [ -d /var/www-naat/html/fr ]; then
	ln -fs /var/www-naat/html/fr/* /var/www-naat/html/
fi
chown httpd-naat.admin /var/www-naat/html/ -R

if [ -d /var/www-naat/html/%{adminroot}/%{sessions} ];
then
 find   /var/www-naat/html/%{adminroot}/%{sessions}/ -type f -exec rm -rf {} \;
	fi

%post en
# documentation
if [ ! -e /var/www-naat/html/en/%{adminroot}/doc ]; then
	ln -fs /usr/share/doc/mandrake/en /var/www-naat/html/en/%{adminroot}/doc
fi

if [ -d /var/www-naat/html/en ]; then
	ln -fs /var/www-naat/html/en/* /var/www-naat/html/
fi
chown httpd-naat.admin /var/www-naat/html/ -R
	
if [ -d /var/www-naat/html/%{adminroot}/%{sessions} ];
then
 find   /var/www-naat/html/%{adminroot}/%{sessions}/ -type f -exec rm -rf {} \;
	fi


%post de
# documentation
if [ ! -e /var/www-naat/html/de/%{adminroot}/doc ]; then
	ln -fs /usr/share/doc/mandrake/en /var/www-naat/html/de/%{adminroot}/doc
fi

if [ -d /var/www-naat/html/de ]; then
	ln -fs /var/www-naat/html/de/* /var/www-naat/html/
fi
chown httpd-naat.admin /var/www-naat/html/ -R

if [ -d /var/www-naat/html/%{adminroot}/%{sessions} ];
then
 find   /var/www-naat/html/%{adminroot}/%{sessions}/ -type f -exec rm -rf {} \;
	fi


%files en -f file.list.en
%defattr(550,httpd-naat,admin)
%attr(750,httpd-naat,admin) %dir /var/www-naat
%attr(750,httpd-naat,admin) %dir /var/www-naat/html
#% attr(750,httpd-naat,admin) %dir /var/www-naat/html/admin/var
#% attr(750,httpd-naat,admin) %dir /var/www-naat/html/admin/genimages

%files fr -f file.list.fr
%defattr(550,httpd-naat,admin)
%attr(750,httpd-naat,admin) %dir /var/www-naat
%attr(750,httpd-naat,admin) %dir /var/www-naat/html

%files de -f file.list.de
%defattr(550,httpd-naat,admin)
%attr(750,httpd-naat,admin) %dir /var/www-naat
%attr(750,httpd-naat,admin) %dir /var/www-naat/html

%files doc
%defattr(-,root,root)
%doc  doc/ examples/ xsl/ SOURCES/dot-htaccess

%files devel
%defattr(-,root,root)
%doc  doc/ examples/ xsl/ SOURCES/dot-htaccess
%dir %{_prefix}/src/%{name}-devel
%{_prefix}/src/%{name}-devel/*

%changelog
*  Fri Mar 15 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-10mdk
- fix typo, monitoring, squid

*  Fri Mar 15 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-9mdk
- new layout, florin fixes (squid)

*  Wed Mar 13 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-8mdk
- fix new Layout

*  Fri Mar 08 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-7mdk
- new  style (First step)

*  Thu Mar 07 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-6mdk
- new features, new style (first step), beta version

*  Mon Feb 18 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-3mdk
- New Version: shorewall, New services

*  Mon Feb 11 2002 Philippe Libat <philippe@mandrakesoft.com> 0.8-2mdk
- Add shorewall, fix lot of bugs

*  Wed Dec 19 2001 Philippe Libat <philippe@mandrakesoft.com> 0.8-1mdk
- fix release

*  Wed Dec 19 2001 Philippe Libat <philippe@mandrakesoft.com> 0.7-1mdk
- Version snf

* Tue Nov 06 2001 Philippe Libat <philippe@mandrakesoft.com> 0.6-2mdk
- move prereq in snf package

* Mon Aug 27 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.6-1mdk
- updates for 8.1
- removed prereq on naat monitoring
- added provide naat-frontend-www in each translated package

*  Thu May 03  2001 Philippe Libat <philippe@mandrakesoft.com> 0.5-2mdk
- icones modification

*  Mon Apr 30  2001 Philippe Libat <philippe@mandrakesoft.com> 0.5-1mdk
- traduction integration

*  Thu Apr 3  2001 Philippe Libat <philippe@mandrakesoft.com> 0.4-6mdk
- prelude

*  Thu Mar 27  2001 Philippe Libat <philippe@mandrakesoft.com> 0.4-5mdk
- on line documentation (camille)
- leds (amaury)

*  Fri Mar 2  2001 Philippe Libat <philippe@mandrakesoft.com> 0.4-3mdk
- new release
- nulbanner, proxypac

*  Fri Feb 9  2001 Philippe Libat <philippe@mandrakesoft.com> 0.4-1mdk
- new menu: proxy, inputrules, monitoring, isdn
- cleanup scenarii

*  Mon Jan 29  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-14mdk
- g_internet switch case 

*  Fri Jan 26  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-12mdk
- lan mode, g_internet

*  Thu Jan 25  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-11mdk
- restrict, time, isdn, log

*  Wed Jan 24  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-10mdk
- output adsl, time

*  Mon Jan 22  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-8mdk
- schedule, adsl, inpu, output

*  Fri Jan 19  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-6mdk
- time

*  Wed Jan 17  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-5mdk
- add new modules

*  Mon Jan 15  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-4mdk
- new modules

*  Fri Jan 12  2001 Philippe Libat <philippe@mandrakesoft.com> 0.3-1mdk
- install directory
- permission

*  Wed Dec 20  2000 Philippe Libat <philippe@mandrakesoft.com> 0.2-2mdk
- requires php-gd

*  Fri Apr 14 2000 Philippe Libat <philippe@mandrakesoft.com> 0.1.1-1mdk
- initial spec file

